Bug 1272524 - Review Request: openstack-mistral - workflow Service for OpenStack cloud
Review Request: openstack-mistral - workflow Service for OpenStack cloud
Status: CLOSED CURRENTRELEASE
Product: RDO
Classification: Community
Component: Package Review (Show other bugs)
Liberty
Unspecified Unspecified
unspecified Severity unspecified
: ---
: trunk
Assigned To: hguemar
hguemar
: Reopened
Depends On: 1283327
Blocks: RDO-LIBERTY-REVIEWS
  Show dependency treegraph
 
Reported: 2015-10-16 11:57 EDT by Daniil
Modified: 2017-06-18 03:03 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-18 03:03:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Changes to openstack-mistral.spec from mos-outside/rpm-master (7.37 KB, patch)
2015-11-19 03:58 EST, Alan Pevec
no flags Details | Diff

  None (edit)
Description Daniil 2015-10-16 11:57:03 EDT
Spec URL: https://raw.githubusercontent.com/mos-outside/mistral/rpm-master/openstack-mistral.spec
SRPM URL: https://github.com/openstack/mistral/tree/stable/liberty
Description: This OpenStack service aims to provide a convenient API based on 5min-to-learn generic DSL to execute any types of task flows (workflows).
https://review.gerrithub.io/#/c/249803/
Comment 1 hguemar 2015-11-05 03:20:59 EST
Few comments:
* avoid using unversioned python macros
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
s/%{__python}/%{__python2}/
s/%{python_sitelib}/%{python2_sitelib}/
* cleaning buildroot is not required
rm -rf %{buildroot}
* Group tags are not used anymore, drop them
* RDO is not supporting anymore EL6, let's drop it.
Actually, EL6 has only python 2.6 which is not supported upstream.
* Please update the package to latest liberty release and add changelog, we'll adapt it to delorean later :)
* Short license name should be ASL 2.0 
https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing
* python-mistral should not own %{python_sitelib} directory, please name subdirectory.
Comment 2 Dan Prince 2015-11-17 19:39:35 EST
I've posted an initial Delorean'ized version of the specs here:

https://github.com/openstack-packages/mistral

It builds but doesn't functionally work because our python2-yaql RPM is too old (it is at version 0.2 but 1.0.0 or greater is required).

Also, I commented out the docs because we are missing a python-sphinxcontrib-pecanwsme as well for Delorean.
Comment 3 Alan Pevec 2015-11-19 03:54:39 EST
Please include feedback in comment 1 and Dan's draft spec imported to openstack-packages/mistral and post updated spec.

BTW, for Dan: initial import should be as submitted in the review i.e. import from https://github.com/mos-outside/mistral/tree/rpm-master
then add your fixes on top of it, so it's easier to follow. I'll attach diff.
Comment 4 Alan Pevec 2015-11-19 03:58 EST
Created attachment 1096550 [details]
Changes to openstack-mistral.spec from mos-outside/rpm-master
Comment 5 Alan Pevec 2015-12-03 18:56:47 EST
PING
Comment 6 Marcos 2016-04-21 05:08:56 EDT
Hi,

I think I addressed all Haikel and Alan comments. Please, check here SPEC and SRPM

SPEC: https://mferminl.web.cern.ch/mferminl/fedorapkg/openstack-mistral/2.0.0/openstack-mistral.spec
SRPM: https://mferminl.web.cern.ch/mferminl/fedorapkg/openstack-mistral/2.0.0/openstack-mistral-2.0.0-1.fc25.src.rpm

- Python3 enabled
- with_docs disabled due to we are waiting for BZ 1283327 (python-sphinxcontrib-pecanwsme). It will be ready soon.

I don't have successful scratch due to there is no python-wsme library any more (http://pkgs.fedoraproject.org/cgit/rpms/python-wsme.git/tree/dead.package), and it is a mistral dependency https://github.com/openstack/mistral/blob/2.0.0/requirements.txt#L45. More info: https://koji.fedoraproject.org/koji/taskinfo?taskID=13743459
Comment 7 Chandan Kumar 2016-05-19 11:40:11 EDT
This bug is against a Version which has reached End of Life.
If it's still present in supported release (http://releases.openstack.org), please update Version and reopen.
Comment 8 Javier Peña 2016-05-19 12:54:30 EDT
This was closed by mitake using an automated script, reopening.
Comment 9 Christopher Brown 2017-06-18 03:03:30 EDT
This has landed so closing.

Note You need to log in before you can comment on or make changes to this bug.